/*
 * Axis.java
 *
 * Created on September 29, 2006, 11:11 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.chart;

import it.businesslogic.ireport.ChartReportElement2;

/**
 *
 * @author gtoffoli
 */
public class Axis {
    
    private String position = "leftOrTop";
    private ChartReportElement2 chartReportElement = null;
    
    /** Creates a new instance of Axis */
    public Axis() {
        setChartReportElement(new ChartReportElement2(0, 0, 0, 0));
        getChartReportElement().setChart( new BarChart() );   
    }

    public Axis cloneMe()
    {
        Axis obj = new Axis();
        obj.setPosition( new String( getPosition()));
        obj.setChartReportElement( (ChartReportElement2)getChartReportElement().cloneMe() );
        
        return obj;
    }
    
    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }
    

    public ChartReportElement2 getChartReportElement() {
        return chartReportElement;
    }

    public void setChartReportElement(ChartReportElement2 chartReportElement) {
        this.chartReportElement = chartReportElement;
    }
    
    public String toString()
    {
        return getChartReportElement().getChart().getName();
    }
}
